# 38. Consulta: Obter "UserData"

Obtenha o "UserData" do usuário autorizado.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query getUserData {
  getUserData {
    uuid
    email
    totalArea
    maxArea
    areaUnit
    language
    apiKey
    soilDatasetClassesAmount
    organizations {
      uuid
      nome
      surname
      givenName
      email
      phone
      dataDeCriação
      updatedDate
      users {
        organizationUuid
        userUuid
        email
        allFarms
        dataDeCriação
        updatedDate
        farms {
          uuid
          userUuid
          nome
          dataDeCriação
          updatedDate
          farmOwnership
          email
        }
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/pt-br/docs-da-api/visao-geral-das-solicitacoes-da-api-do-geopard/38.-consulta-obter-userdata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
